%define	upstream_name	 Term-UI
%define upstream_version 0.46

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Term::ReadLine UI made easy
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Log::Message::Simple)
BuildRequires: perl(Params::Check)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::More) >= 0.310.0
BuildRequires: perl(if)
BuildArch:  noarch

%description
"Term::UI" is a transparent way of eliminating the overhead of having to format
a question and then validate the reply, informing the user if the answer was
not proper and re-issuing the question.

Simply give it the question you want to ask, optionally with choices the user
can pick from and a default and "Term::UI" will DWYM.

For asking a yes or no question, there's even a shortcut.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Term/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.460.0-4pclos2017
- rebuild against updates

